package model.DCEL;

import model.Point;

/**
 * Implementierung verschiedener Algorithmen zur Berechnung von Ausgleichsgeraden.
 *
 * @Author: Armin Wolf
 * @Email: a_wolf28@uni-muenster.de
 * @Date: 30.05.2017.
 */
public class Node {

    private Point point;
    private Edge incidentEdge;
    private String id;

    public Node() {
        new Node(null, null);
    }

    public Node(Point point, Edge incidentEdge) {
        this.point = point;
        this.incidentEdge = incidentEdge;
    }

    public Point getPoint() {
        return point;
    }

    public void setPoint(Point point) {
        this.point = point;
    }

    public Edge getIncidentEdge() {
        return incidentEdge;
    }

    public void setIncidentEdge(Edge incidentEdge) {
        this.incidentEdge = incidentEdge;
    }

    public String getID() {
        return this.id;
    }

    public void setID(String id) {
        this.id = id;
    }
}
